summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtest/runtests.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/runtests.sh b/test/runtests.sh
new file mode 100755
index 0000000..50cc0d0
--- /dev/null
+++ b/test/runtests.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+TESTS="$@"
+RET=0
+
+TIMEOUT=10
+
+for t in $TESTS; do
+ echo Running test $t
+ timeout -s INT $TIMEOUT ./$t
+ r=$?
+ if [ "${r}" -eq 124 ]; then
+ echo "Test $t timed out (may not be a failure)"
+ elif [ "${r}" -ne 0 ]; then
+ echo Test $t failed
+ RET=1
+ fi
+done
+
+exit $RET